aboutsummaryrefslogtreecommitdiffstats
path: root/tests/arch
diff options
context:
space:
mode:
authorXiretza <xiretza@xiretza.xyz>2020-10-29 14:42:07 +0100
committerXiretza <xiretza@xiretza.xyz>2020-10-29 14:42:07 +0100
commit86e0440da906d1514aba463989c22d0ae82a18b6 (patch)
treeb001de5fbaf560c0054f6a0d6a9ec6843b3dc241 /tests/arch
parente2a39bb1e71b97d423a3c2233abce996376e25dd (diff)
downloadyosys-86e0440da906d1514aba463989c22d0ae82a18b6.tar.gz
yosys-86e0440da906d1514aba463989c22d0ae82a18b6.tar.bz2
yosys-86e0440da906d1514aba463989c22d0ae82a18b6.zip
Update nexus arch tests to new harness
Diffstat (limited to 'tests/arch')
-rw-r--r--tests/arch/nexus/run-test.sh22
1 files changed, 3 insertions, 19 deletions
diff --git a/tests/arch/nexus/run-test.sh b/tests/arch/nexus/run-test.sh
index bf19b887d..4be4b70ae 100644
--- a/tests/arch/nexus/run-test.sh
+++ b/tests/arch/nexus/run-test.sh
@@ -1,20 +1,4 @@
#!/usr/bin/env bash
-set -e
-{
-echo "all::"
-for x in *.ys; do
- echo "all:: run-$x"
- echo "run-$x:"
- echo " @echo 'Running $x..'"
- echo " @../../../yosys -ql ${x%.ys}.log -w 'Yosys has only limited support for tri-state logic at the moment.' $x"
-done
-for s in *.sh; do
- if [ "$s" != "run-test.sh" ]; then
- echo "all:: run-$s"
- echo "run-$s:"
- echo " @echo 'Running $s..'"
- echo " @bash $s"
- fi
-done
-} > run-test.mk
-exec ${MAKE:-make} -f run-test.mk
+set -eu
+source ../../gen-tests-makefile.sh
+run_tests --yosys-scripts --bash --yosys-args "-w 'Yosys has only limited support for tri-state logic at the moment.'"